/*
Пример использования
Получение списка sep
*/
#Расскомментируйте код ниже,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      version = "<VERSION>"
      source  = "basis/decort/decort"
    }
  }
}
*/
provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_sep_list" "sl" {
  #фильтр по sep id
  #необязательный параметр
  #тип - число
  #by_id = 3

  #фильтр по sep name
  #необязательный параметр
  #тип - строка
  #name = "name"

  #фильтр по gid
  #необязательный параметр
  #тип - число
  #gid = 1

  #фильтр по sep type
  #необязательный параметр
  #тип - строка
  #type = "type"

  #фильтр по provided physical node id
  #необязательный параметр
  #тип - число
  #provided_by = 1

  #фильтр по тех статусу
  #необязательный параметр
  #тип - строка
  #tech_status = "status"

  #фильтр по consumed physical node id
  #необязательный параметр
  #тип - число
  #consumed_by = 1

  #страница
  #необязательный параметр
  #тип - число
  #page = 3

  #размер страницы
  #необязательный параметр
  #тип - число
  #size = 2
}

output "test" {
  value = data.decort_cb_sep_list.sl
}
